]> git.ipfire.org Git - people/pmueller/ipfire-2.x.git/commitdiff
Hinzugefügt:
authorms <ms@ea5c0bd1-69bd-2848-81d8-4f18e57aeed8>
Wed, 24 May 2006 19:47:34 +0000 (19:47 +0000)
committerms <ms@ea5c0bd1-69bd-2848-81d8-4f18e57aeed8>
Wed, 24 May 2006 19:47:34 +0000 (19:47 +0000)
  * NCFTP - Ein CLI-FTP-Client.
Geändert:
  * Versucht das XAMPP-Paket zu verkleinern.
  * ./make.sh sync erweitert.

git-svn-id: http://svn.ipfire.org/svn/ipfire/trunk@137 ea5c0bd1-69bd-2848-81d8-4f18e57aeed8

doc/packages-list.txt
lfs/ncftp [new file with mode: 0644]
make.sh
src/paks/ncftp/CONFFILES [new file with mode: 0644]
src/paks/ncftp/ROOTFILES [new file with mode: 0644]
src/paks/ncftp/install.sh [new file with mode: 0644]
src/paks/ncftp/uninstall.sh [new file with mode: 0644]
src/paks/xampp/ROOTFILES

index 80c07e3ac8b77d26e938f83d2ca1fbbc8cbcc701..3f0d7a0d2dcc735795261c4388a9b2f687d56e14 100644 (file)
   * nano-1.2.4
   * nash
   * nasm-0.98.36
+  * ncftp-3.1.9-src
   * ncurses-5.4
   * net-tools-1.60
   * newt-utf8_0.50.17
diff --git a/lfs/ncftp b/lfs/ncftp
new file mode 100644 (file)
index 0000000..efa70f7
--- /dev/null
+++ b/lfs/ncftp
@@ -0,0 +1,83 @@
+###############################################################################
+# This file is part of the IPCop Firewall.                                    #
+#                                                                             #
+# IPCop is free software; you can redistribute it and/or modify               #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation; either version 2 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# IPCop is distributed in the hope that it will be useful,                    #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with IPCop; if not, write to the Free Software                        #
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA    #
+#                                                                             #
+# Makefiles are based on LFSMake, which is                                    #
+# Copyright (C) 2002 Rod Roard <rod@sunsetsystems.com>                        #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 3.1.9
+
+THISAPP    = ncftp-$(VER)-src
+DL_FILE    = $(THISAPP).tar.bz2
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/ncftp-$(VER)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = 66cf8dacec848eb11a70632fe9f21807
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+       make-packages.sh ncftp $(THISAPP)-ipfire-beta-1
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+       @$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+       @$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+       @$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+       @$(PREBUILD)
+       @rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar jxf $(DIR_DL)/$(DL_FILE)
+       cd $(DIR_APP) && ./configure --prefix=/usr && make -C libncftp shared && \
+                               make -C libncftp soinstall
+       cd $(DIR_APP) && make
+       cd $(DIR_APP) && make install
+       @rm -rf $(DIR_APP)
+       @$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 4680c4fac980a4a4f36765ae4667f0403b3d0ad9..7d02c139ced4496d00bbbb34f922de4dfd50669d 100644 (file)
--- a/make.sh
+++ b/make.sh
@@ -704,6 +704,7 @@ buildipcop() {
   ipcopmake portmap
   ipcopmake nmap
   ipcopmake nfs
+  ipcopmake ncftp
 #  wget http://www.guzu.net/linux/hddtemp.db && mv hddtemp.db $BASEDIR/build/etc/hddtemp.db
 #  ipcopmake hddtemp
 #  ipcopmake stunnel # Ausgeschaltet, weil wir es doch nicht nutzen
@@ -1086,6 +1087,7 @@ diff)
 sync)
        echo -e "Syncing Cache to FTP:"
        echo -ne "Password for mirror.ipfire.org: "; read PASS
+       rm -f doc/packages-to-remove-from-ftp
        ncftpls -u web3 -p $PASS ftp://mirror.ipfire.org/html/source-packages/source/ > ftplist
        for i in `ls -w1 cache/`; do
                grep $i ftplist
@@ -1095,9 +1097,16 @@ sync)
                                echo -e "$i was successfully uploaded to the ftp server."
                        else
                                echo -e "There was an error while uploading $i to the ftp server."
+               
                        fi
                fi
        done
+       for i in `cat ftplist`; do
+               ls -w1 cache/ | grep $i
+               if [ "$?" -eq "1" ]; then
+                       echo $i | grep -v toolchain >> doc/packages-to-remove-from-ftp
+               fi
+       done
        rm -f ftplist
        ;;
 *)
diff --git a/src/paks/ncftp/CONFFILES b/src/paks/ncftp/CONFFILES
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/src/paks/ncftp/ROOTFILES b/src/paks/ncftp/ROOTFILES
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/src/paks/ncftp/install.sh b/src/paks/ncftp/install.sh
new file mode 100644 (file)
index 0000000..3a9ce55
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+#################################################################
+#                                                               #
+# This file belongs to IPFire Firewall - GPLv2 - www.ipfire.org #
+#                                                               #
+#################################################################
+#
+# Extract the files
+tar xfz files.tgz -C /
+cp -f ROOTFILES /opt/pakfire/installed/ROOTFILES.$2
diff --git a/src/paks/ncftp/uninstall.sh b/src/paks/ncftp/uninstall.sh
new file mode 100644 (file)
index 0000000..ad61226
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/bash
+#################################################################
+#                                                               #
+# This file belongs to IPFire Firewall - GPLv2 - www.ipfire.org #
+#                                                               #
+#################################################################
+#
+# Delete the files
+## Befehl fehlt noch
+rm -f /opt/pakfire/installed/ROOTFILES.$2
index be2b877d63562a8406e73a93fe276d5cd8657d0d..0cf952c32b161d929698adea395ddcb9b126b63e 100644 (file)
@@ -1 +1,4 @@
 opt/lampp
+#opt/lampp/man
+#opt/lampp/doc
+#opt/lampp/include